Name:           catch2
%global name_camel Catch2
%global debug_package %{nil}
Version:        3.8.1
Release:        0
Summary:        A modern, C++-native, header-only, test framework for unit-tests, TDD and BDD
License:        BSL-1.0
URL:            https://github.com/catchorg/%{name_camel}/
Source:         https://github.com/catchorg/%{name_camel}/archive/v%{version}.tar.gz#/%{name_camel}-%{version}.tar.gz
BuildRequires:  cmake >= 3.10
BuildRequires:  gcc-c++ >= 6
BuildRequires:  pkgconfig
BuildRequires:  python3

%global _description %{expand:

Catch2 stands for C++ Automated Test Cases in a Header and is a multi-paradigm
test framework for modern C++14 and newer.
It also provides basic micro-benchmarking features, and simple BDD macros.
}

%package devel
Summary: %{summary}

%description devel %{_description}

%description %{_description}

%prep
%autosetup -p1 -n %{name_camel}-%{version}

%build
%global _lto_cflags %{?_lto_cflags} -ffat-lto-objects
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DCMAKE_INSTALL_DOCDIR:PATH=%{_defaultdocdir}/%{name} \
       -DPKGCONFIG_INSTALL_DIR:PATH=%{_libdir}/pkgconfig
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.txt
%doc README.md CODE_OF_CONDUCT.md
%doc %{_defaultdocdir}/%{name}
%{_datadir}/%{name_camel}
%{_includedir}/%{name}
%{_libdir}/lib%{name_camel}*.a
%{_libdir}/cmake/%{name_camel}
%{_libdir}/pkgconfig/*.pc

%changelog
